Patches for aports can be sent to this list

1

[alpine-aports] [PATCH 1/3] main/lzlib: new aport

Klemens Nanni
Details
Message ID
<20160625135204.21344-1-kl3@posteo.org>
Sender timestamp
1466862722
DKIM signature
missing
Download raw message
Patch: +30 -0
---
 main/lzlib/APKBUILD | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)
 create mode 100644 main/lzlib/APKBUILD

diff --git a/main/lzlib/APKBUILD b/main/lzlib/APKBUILD
new file mode 100644
index 0000000..1c3701f
--- /dev/null
+++ b/main/lzlib/APKBUILD
@@ -0,0 +1,30 @@
+# Contributor: Klemens Nanni <kl3@posteo.org>
+# Maintainer: Klemens Nanni <kl3@posteo.org>
+pkgname=lzlib
+pkgver=1.8
+pkgrel=0
+pkgdesc="Lzlib is a data compression library"
+url="http://www.nongnu.org/lzip/lzlib.html"
+arch="all"
+license="GPL2+"
+depends=""
+depends_dev=""
+makedepends=""
+install=""
+subpackages="$pkgname-doc"
+source="http://download.savannah.gnu.org/releases/lzip/${pkgname}/${pkgname}-${pkgver}.tar.gz"
+
+builddir="${srcdir}/${pkgname}-${pkgver}"
+build() {
+	cd "${builddir}"
+	./configure --prefix=/usr
+	make || return 1
+}
+
+package() {
+	cd "${builddir}"
+	make DESTDIR="${pkgdir}" install || return 1
+}
+md5sums="251e982d20f10a22069910f2f3951613  lzlib-1.8.tar.gz"
+sha256sums="41bfa82c6ee184ed0884437dc4074ad505e64cb747432cefa97976b89045cbad  lzlib-1.8.tar.gz"
+sha512sums="4fe8e28068f67d377bcfb0b7335650acd03565f9c8ac247c87a2b4951b82bae5e8b82d8a537bae84ed13ee09555e7ffbf573a2b3738d9bc86771897981cd549b  lzlib-1.8.tar.gz"
-- 
2.8.3



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20160705132232.57d287a0@ncopa-desktop.copa.dup.pw>
In-Reply-To
<20160625135204.21344-1-kl3@posteo.org> (view parent)
Sender timestamp
1467717752
DKIM signature
missing
Download raw message
On Sat, 25 Jun 2016 15:52:02 +0200
Klemens Nanni <kl3@posteo.org> wrote:

> ---
>  main/lzlib/APKBUILD | 30 ++++++++++++++++++++++++++++++
>  1 file changed, 30 insertions(+)
>  create mode 100644 main/lzlib/APKBUILD
> 
> diff --git a/main/lzlib/APKBUILD b/main/lzlib/APKBUILD
> new file mode 100644
> index 0000000..1c3701f
> --- /dev/null
> +++ b/main/lzlib/APKBUILD

New packages needs to go to testing first. We normally don't add new
things directly to main.

-nc


---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---